Results 1 to 4 of 4

Thread: kernel-4.14-rc2 NVIDIA

  1. #1
    Join Date
    Jun 2008
    Location
    Yorkshire
    Posts
    391

    Default kernel-4.14-rc2 NVIDIA

    Has anyone tried to install the patched proprietory nvidia graphics driver 384.90 in Kernel-4.14-rc2 (HEAD - nvidia-4.13.patch)?
    The GPL problem is supposed to be fixed in rc2 but I'm still getting a GPL error.
    Nouveau's working so I'm not too bothered although I get some flickering with it.
    Pete

  2. #2
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,925
    Blog Entries
    14

    Default Re: kernel-4.14-rc2 NVIDIA

    Quote Originally Posted by peteh100 View Post
    Has anyone tried to install the patched proprietory nvidia graphics driver 384.90 in Kernel-4.14-rc2 (HEAD - nvidia-4.13.patch)?
    The GPL problem is supposed to be fixed in rc2 but I'm still getting a GPL error.
    Nouveau's working so I'm not too bothered although I get some flickering with it.
    Oooww, this is really bleeding edge. My guess is that you're better of in the nvidia forums
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  3. #3
    Join Date
    Jun 2008
    Location
    Yorkshire
    Posts
    391

    Default Re: kernel-4.14-rc2 NVIDIA

    Quote Originally Posted by Knurpht View Post
    Oooww, this is really bleeding edge. My guess is that you're better of in the nvidia forums
    Apparently it's an issue in the latest kernel 4.14-rc1 and according to rglinuxtech the rc2 release fixed it. Maybe openSUSE are doing something different but I assume they just build what's released.
    Pete

  4. #4
    Join Date
    Jun 2008
    Location
    Yorkshire
    Posts
    391

    Default Re: kernel-4.14-rc2 NVIDIA

    Just in case anyone's referring to this thread, I can tell you the problem only seems to affect AMD cpus because kernel includes a security measure, sme-me-mask.
    So would need to recompile kernel without it.
    I'll stick to nouveau for now!
    Pete

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •